org.apache.olingo.server.api.serializer

## Class PrimitiveSerializerOptions.Builder

- java.lang.Object
- - org.apache.olingo.server.api.serializer.PrimitiveSerializerOptions.Builder

- Enclosing class:
    PrimitiveSerializerOptions

      public static final class PrimitiveSerializerOptions.Builder
      extends Object

  Builder of OData serializer options.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrimitiveSerializerOptions` | `build()` Builds the OData serializer options.
    `PrimitiveSerializerOptions.Builder` | `contextURL(ContextURL contextURL)` Sets the `ContextURL`.
    `PrimitiveSerializerOptions.Builder` | `facetsFrom(EdmProperty property)` Sets all facets from an EDM property.
    `PrimitiveSerializerOptions.Builder` | `maxLength(Integer maxLength)` Sets the maxLength facet.
    `PrimitiveSerializerOptions.Builder` | `nullable(Boolean isNullable)` Sets the nullable facet.
    `PrimitiveSerializerOptions.Builder` | `precision(Integer precision)` Sets the precision facet.
    `PrimitiveSerializerOptions.Builder` | `scale(Integer scale)` Sets the scale facet.
    `PrimitiveSerializerOptions.Builder` | `unicode(Boolean isUnicode)` Sets the unicode facet.
    `PrimitiveSerializerOptions.Builder` | `xml10InvalidCharReplacement(String replacement)` set the replacement string for xml 1.0 unicode controlled characters that are not allowed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contextURL

          public PrimitiveSerializerOptions.Builder contextURL(ContextURL contextURL)

      Sets the `ContextURL`.

    - #### nullable

          public PrimitiveSerializerOptions.Builder nullable(Boolean isNullable)

      Sets the nullable facet.

    - #### maxLength

          public PrimitiveSerializerOptions.Builder maxLength(Integer maxLength)

      Sets the maxLength facet.

    - #### precision

          public PrimitiveSerializerOptions.Builder precision(Integer precision)

      Sets the precision facet.

    - #### scale

          public PrimitiveSerializerOptions.Builder scale(Integer scale)

      Sets the scale facet.

    - #### unicode

          public PrimitiveSerializerOptions.Builder unicode(Boolean isUnicode)

      Sets the unicode facet.

    - #### facetsFrom

          public PrimitiveSerializerOptions.Builder facetsFrom(EdmProperty property)

      Sets all facets from an EDM property.

    - #### xml10InvalidCharReplacement

          public PrimitiveSerializerOptions.Builder xml10InvalidCharReplacement(String replacement)

      set the replacement string for xml 1.0 unicode controlled characters that are not allowed

    - #### build

          public PrimitiveSerializerOptions build()

      Builds the OData serializer options.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.